EDIT - bug #8218

Show appropriate error message when accessing RegistrationWorkingsetEditor without sufficient

permissions
04/02/2019 03:53 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

The RegistrationWorkingsetEditor currently shows the default error dialog when being accessed without the required permissions.

Associated revisions

Revision bbe0f8d5 - 04/02/2019 03:56 PM - Andreas Kohlbecker

fix #8218 implementing PermissionDeniedErrorHandler to handle all uncaught PermissionDeniedExceptions in a Ul

Revision a3cfc8c0 - 04/03/2019 05:09 PM - Andreas Kohlbecker

ref #8218 better extraction of the actual cause to be delegatged in the DelegatingErrorHandler

History

#1 - 04/02/2019 03:56 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|bbe0f8d54845856f7642b54a6ecc96dc3bf7eaa?.

#2 - 04/02/2019 06:03 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
